API referenceContacts

Tag a contact

POST
/v2/contacts/{id}/tags

Authorization

ApiKey
headerAuthorizationBearer <token>

An API key from Developers → API keys: Authorization: Bearer gauge_live_… (or pulse_k_live_…).

Path Parameters

id*string

The contact id.

Formatuuid

Header Parameters

Gauge-Version?string

A dated version. Default 2026-10-21.

Idempotency-Key*string

Required on every POST. Retries with the same key replay the first response for 24 h.

Length1 <= length <= 255

Request Body

application/json
  1. body
tags*array<>
Items1 <= items <= 50

Response Body

The contact with its tags.

application/json
  1. response
id*string
Formatuuid
displayName*string|null
email*string|null
phone*string|null
title*string|null
companyId*|
Formatuuid
companyName*string|null
lifecycleStage*string
isVip*boolean
tags*array<string>
customFields*
identities*array<>
createdAt*string
updatedAt*string
Example Request
curl -X POST 'https://app.gauge.chat/api/v2/contacts/497f6eca-6276-4993-bfeb-53cbbbba6f08/tags' \  -H 'Idempotency-Key: string' \  -H 'Content-Type: application/json' \  -d '{  "tags": [    "string"  ]}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "displayName": "string",  "email": "string",  "phone": "string",  "title": "string",  "companyId": "8bb73d03-06b4-47c7-80c7-59301f770eda",  "companyName": "string",  "lifecycleStage": "string",  "isVip": true,  "tags": [    "string"  ],  "customFields": {    "property1": null,    "property2": null  },  "identities": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "channel": "string",      "externalId": "string",      "connectionId": "84b500d7-71c8-4b1f-adf4-f1eb0000973d"    }  ],  "createdAt": "string",  "updatedAt": "string"}